---------------------------
-- menu
---------------------------
function Glance.Functions.Mounts.menu(level,UIDROPDOWNMENU_MENU_VALUE)
	Glance.Debug("function","menu","Mounts")
	local HEX = Glance.Arrays.colors.HEX
	level = level or 1
	local counter, pagesize, page = 0,2,2
	if (level == 1) then
		Glance.Functions.setInfo(nil,true,false,true,nil,HEX.white.."Mounts Options","spacer",level,nil)
		Glance.Functions.setInfo(nil,nil,true,true,nil,HEX.gold.."Flying","flying",level,nil)
		Glance.Functions.setInfo(nil,nil,true,true,nil,HEX.gold.."Riding","riding",level,nil)
		Glance.Functions.setInfo(nil,nil,true,true,nil,HEX.gold.."Swimming","swimming",level,nil)
	end
	
	if UIDROPDOWNMENU_MENU_VALUE == "flying" then
		local pages = math.ceil(Glance.Arrays.Mounts.flying / 2)
		for i=1,#Glance.Arrays.Mounts.flying do
			local creatureName, icon, issummoned, air, special, fast, water, enabled = unpack(Glance.Arrays.Mounts.flying[i])
			counter = counter + 1
			if counter <= pagesize then
				if (level == page) then
					local checked, func
					checked = Glance.Functions.Mounts.isSummoned(i)
					func = function() Glance.Functions.Mounts.summon(i) end;
					--disabled,isTitle,hasArrow,notCheckable,checked,text,value,level,func
					Glance.Functions.setInfo(nil,false,false,false,checked,creatureName,name,level,func,icon)
				end
			else
				counter=0
				page = page + 1
				Glance.Functions.setInfo(nil,nil,true,true,nil,HEX.gold.."More..","flying",level,nil)
			end
		end
	end